<?php
// submission Guidelines
$locale['msg001'] = "Addon Submission Guidelines";
$locale['msg002'] = "Please read the following guidelines carefully before submitting your Addon. Failure to do so may result in your Addon being rejected.";
$locale['msg003'] = "[N.B. - <b>Addons</b> is the general term used in this document to describe all infusions, themes, panels and other modifications.]";
$locale['msg004'] = "General";
$locale['msg005'] = "You may submit addons by other authors either as conversions or updates, but you must acknowledge the original author in the file header(s), Addon copyright section [if any] and the ReadMe.";
$locale['msg006'] = "You also need to have the original author's permission to submit a Addon unless it is released under Affero GPL or other licenses that grant the right to distribute the file.";
$locale['msg007'] = "If you use third-party images, you must also have the permission of the author to use them.";
$locale['msg008'] = "If you use third-party scripts, you must also have the permission of the author to use them and leave all acknowledgements/copyright information intact.";
$locale['msg009'] = "Please note: If Addon author name is different from your user name, your profile statistics will not count the Addon";
$locale['msg010'] = "Addon Submission";
$locale['msg011'] = "All addons must be written for PHP-Fusion";
$locale['msg012'] = "All addons must contain at least in one file the required header copyright info, filename, author and licensing info. [See below]";
$locale['msg013'] = "All addons must be tested and work with PHP-Fusion";
$locale['msg014'] = "No Alpha, Beta or other test releases will be accepted.";
$locale['msg015'] = "Submission Files";
$locale['msg016'] = "All addons submissions must be released under the GNU Affero GPL v3 licence and must contain a copy of the licence, eg; agpl.txt or agpl.html";
$locale['msg017'] = "If your Addon was co-authored by someone else or if you just wish to acknowledge their contibution, enter their name in the Co-Author field and it will show in your Addon details<br />";
$locale['msg018'] = "If you wish to submit a Addon that was made by someone else and you have their permission to do so, you can enter their details into the Author Name, Email and WWW fields.<br />";
$locale['msg019'] = "They also must contain complete installation instructions in the form of a ReadMe as below.<br />";
$locale['msg020'] = "readme-de.txt or readme-de.html - German";
$locale['msg021'] = "readme-en.txt or readme-en.html - English";
$locale['msg022'] = "readme-es.txt or readme-es.html - Spanish";
$locale['msg023'] = "readme-fr.txt or readme-fr.html - French and so on.";
$locale['msg024'] = "All submissions must be sent in archive format, eg; .zip, .rar";
$locale['msg025'] = "Please ensure the folder structure complies with the images below.";
$locale['msg026'] = "Infusion Folder Structure.";
$locale['msg027'] = "User Field Folder Structure.";
$locale['msg028'] = "Addon Security";
$locale['msg029'] = "Please ensure all addons are free from security flaws, such as unsanitized variables. Use <u>stripinput</u> on all form fields.<br />Use the built-in security functions like <i>checkrights</i> and <i>groupaccess</i> functions.<br />These and all the other PHP-Fusion fuctions are explained in the <a target='_blank' href='http://code.starefossen.com/infusions/fusion_functions/functions.php'>PHP-Fusion Functions Codex</a> database.";
$locale['msg030'] = "Test your Addon before submission! It must function correctly in a base install.";
$locale['msg031'] = "In all addons [where applicable], text must be stored in a separate language file (eg; locale/English.php).";
$locale['msg032'] = "Submitted Screenshots: ";
$locale['msg033'] = "Max. filesize: %s / Max. size: %ux%u pixels";
$locale['msg035'] = "Addon Translation Guidelines";
$locale['msg036'] = "I have read, understood and agree to abide by these guidelines: ";
$locale['msg038'] = "All submissions where applicable must output validated HTML and CSS. [HTML5 and CSS3 are allowed]";
$locale['msg039'] = "Any Addons containing or parsing an RSS Feed must be fully validated before submission.";
$locale['msg040'] = "Any submitted Addons not fully validated will be rejected.";
$locale['msg041'] = "All readme's must contain information on how to uninstall the Addon.";
$locale['msg042'] = "Addons must be configured in such a way that no files are left after being uninstalled.";
$locale['msg043'] = "Submit ";
$locale['msg044'] = "Validations";
$locale['msg045'] = "W3C HTML Markup Validation";
$locale['msg046'] = "W3C XHTML Markup Validation";
$locale['msg047'] = "W3C CSS Validation";
$locale['msg048'] = "RSS Feed Validator";
$locale['msg049'] = "Theme Folder Structure";
$locale['msg050'] = "Panel Folder Structure";

$locale['msg100'] = "Go to the Submission Form";
$locale['msg101'] = "You must be logged in to access the Addon Submission Form";
$locale['msg102'] = "Members Only";
$locale['msg103'] = "Choose Submission Type: ";
$locale['msg104'] = "--Select--";
$locale['msg105'] = "Submissions to the AddonDB are currently disabled.<br />Please try again later.";
$locale['msg106'] = " | ";
$locale['msg200'] = "Submission Guidelines v1.7";

// Translation Guidelines
$locale['tsg001'] = "Addon Translation Submission Guidelines";
$locale['tsg002'] = "Please read the following guidelines carefully before submitting your translation to this Addon. Failure to do so may result in your translation being rejected.";
$locale['tsg005'] = "You may submit translations of work by other authors, but you must acknowledge the original author in the file header(s), Addon copyright section [if any] and the readme [if being translated].";
$locale['tsg006'] = "You also need to have the original author's permission to submit a translation unless it is released under Affero GPL or other licenses that grant the right to distribute the file.";
$locale['tsg007'] = "You must endevour to be as accurate as possible when translating. If in doubt, get independent verification before submission.";
$locale['tsg009'] = "Translation Submission";
$locale['tsg010'] = "All translations must be written for PHP-Fusion";
$locale['tsg011'] = "All translations must contain at least in one file the required header copyright info, filename, author and licensing info. [See below]";
$locale['tsg012'] = "All translations must be tested and work with PHP-Fusion and the Addon.";
$locale['tsg016'] = "If you are translating a ReadMe, you must leave the original authors information intact. Though, you can of course place a \"<i>Your_Language</i> locale by XXXXX\" somewhere in the document. All translated ReadMe's must be named as to identify the language as shown below.<br />";
$locale['tsg017'] = "readme-de.txt or readme-de.html - German";
$locale['tsg018'] = "readme-en.txt or readme-en.html - English";
$locale['tsg019'] = "readme-es.txt or readme-es.html - Spanish";
$locale['tsg020'] = "readme-fr.txt or readme-fr.html - French and so on.";
$locale['tsg022'] = "Check the locale structure of the Addon you're translating and submit using the same folder structure as shown below.";
$locale['tsg023'] = "Folder Structure - [type 1]";
$locale['tsg024'] = "Folder Structure - [type 2]";
$locale['tsg025'] = "Folder Structure - User Fields";
$locale['tsg026'] = "Folder Structure - bbcodes";
$locale['tsg029'] = "To submit a translation, go to the Addon you've translated and click the Translation submit button.";

$locale['tsg200'] = "Translation Submission Guidelines v1.3";

?>